/sales/quotes/{id}/lines
This endpoint allows you to list all Quote Lines for a specific Quote.
getQuoteLines
| Name | Type | Description |
|---|---|---|
id
required
|
string |
The Quote ID |
data
object
Quote Line model structure details
id
string
required
read-only
ID of the Quote Line
type
string
required
read-only
Model type
quote_line
attributes
object
required
material_id
integer | null
ID of the associated Material, if the type is "MATERIAL".
description
string | null
The description of the Quote Line, if the type is "SERVICE".
type
string
Type of the item in the Quote Line.
MATERIAL
SERVICE
OTHER_COST
base_total
number
Total base price of the Quote Line.
discount
number
Discount applied to the item in the Quote Line.
discount_total
number
Total discount of the Quote Line.
observations
string | null
Observation or notes of the Quote Line.
other_cost_id
integer | null
ID of the associated Other Cost, if the type is "OTHER_COST".
quantity
number
Quantity of the item in the Quote Line.
quote_line_uuid
string
Uuid for Quote Line.
received_quote_request_line_id
integer | null
ID of the Received Quote Request Line.
received_quote_request_line_uuid
string | null
ID of the Received Quote Request Line.
total
number
Total price of the Quote Line.
unit
string | null
Units of the item in the Quote Line.
unit_price
number
Price per unit of the item in the Quote Line.
vat
number
VAT applied to the item in the Quote Line.
vat_total
number
Total VAT applied to the Quote Line.
status
string
error
error
object
properties
object
Only present when related to property validation error
dev_message
string
Example: Property validation error. Check the "properties" section in the response.
http_code
integer
400
message
string
Example: Property validation error.
more_info
string
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
404
message
string
Example: Resource not found
more_info
string | null
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X GET \
'https://api.sandbox.infraspeak.com/v3/sales/quotes/{id}/lines' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/sales/quotes/{id}/lines', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->get('https://api.sandbox.infraspeak.com/v3/sales/quotes/{id}/lines');
import requests
response = requests.get(
'https://api.sandbox.infraspeak.com/v3/sales/quotes/{id}/lines',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()